Skip to main content
GET
/
events
/
{event_id}
Retrieve an event
curl --request GET \
  --url https://api.flatpeak.com/events/{event_id} \
  --header 'Authorization: Bearer <token>'
{
  "id": "evt_65e42b7827c0526548432b9f",
  "object": "event",
  "type": "device.create",
  "data": {
    "id": "dev_63a6087272941ef077a8fd3e",
    "object": "device",
    "reference_id": "DEV1234567890",
    "live_mode": true,
    "locations": [
      "loc_641b90b758fb8e6293716e40"
    ],
    "manufacturer": "Nova Systems",
    "model_code": "PICOXN2",
    "model_name": "Pico Ultimate",
    "time_created": "2022-01-24T14:15:22Z",
    "account_id": "acc_661677911f2197045e6cf1b1",
    "properties": {
      "power_rating_kw": 7.2,
      "capacity_kwh": 14.2,
      "pv_azimuth": 0,
      "pv_tilt": 23,
      "pv_terrain_shading": false,
      "pv_forecasts_enabled": false,
      "install_date": "2022-03-22T11:12:21Z"
    },
    "last_seen": "2022-03-22T11:12:21Z",
    "tariffs": [
      {
        "tariff_id": "trf_66ba584eb6923d7c3b942ef6",
        "location_id": "loc_641b90b758fb8e6293716e40",
        "type": "COMMODITY",
        "direction": "IMPORT",
        "status": "CONNECTED",
        "connection_type": "DIRECT",
        "display_name": "Agile Octopus v3 2024",
        "is_temporary": true,
        "provider": {
          "id": "prv_63a6087272921ef075a8fd3e",
          "display_name": "Octopus Energy",
          "logo_url": "https://s.flatpeak.com/83b06a60e38c2.png"
        }
      }
    ]
  },
  "time_created": "2022-01-24T14:15:22Z"
}

Authorizations

Authorization
string
header
required

Authenticate with bearer you obtained from authentication endpoint.

Path Parameters

event_id
string
required

Flatpeak Event ID

Response

id
string

Flatpeak unique event id.

Example:

"evt_65e42b7827c0526548432b9f"

object
string

Represents the object’s type, i.e. event.

Example:

"event"

type
string

Flatpeak object type in the payload. For example customer.create.

Example:

"device.create"

data
Device · object

This object represents a device or another asset of a compatible type.

time_created
string

Time when the object was created, in UTC.

Example:

"2022-01-24T14:15:22Z"